## When to use this component

Blockquotes are used to indicate that a piece of content is a **quotation** from a source or speaker. This often includes a cite attribute for the URL of the quote's source or the speaker’s name, to provide context.

### Do:
* keep text brief - aim for a maximum of 280 characters
* use an em-dash (—) before the attribution.
* use `<cite>` tags when attributing the quote source
* put the blockquote in a `<blockquote>` tag
* consider if the blockquote adds value to the page
* minimize the use of blockquotes on a page - avoid stacking them if possible

### Do not:

* include quotation marks in your blockquote copy &ndash; the blockquote style will add the quotation marks for you

<hr>

## Blockquote sizes
* Long blockquotes (default) should be between **140 and 280** characters including spaces
* Short blockquotes should be a **maximum of 140** characters including spaces

<hr>

## Help improve this page

If you have other suggestions or advice or any questions on blockquotes, the [design system team]({{path '../../docs/give-feedback.html'}}) would love to hear from you.
