## When to use this component

Critical alert banners typically appear above the global header bar and apply to the entire site or section. Consider using them only at impacted points of service or information delivery, such as service initiation pages or contact pages. Use them sparingly beyond service or information delivery points to avoid **alert fatigue.**

Be mindful of the amount of content in a critical alert banner. Since they appear at the top of the page, they can significantly impact the visibility of other content, **especially on smaller mobile screens.** Use a link or call to action to direct users to further information if needed.

<hr>

## Best practices

### Do:
* write concise headings and copy totalling a max of **140 characters**
* consider how tall the critical alert banner will appear on mobile screens
* post them **temporarily** and only keep them up for the duration of the crisis
* describe the impact on the user

### Do not:
* stack critical alert banners
* use critical alert banners just for styling regular content (for emphasis or highlighting)
* use more than one link

<hr>

## Help improve this page

If you have other suggestions or advice or any questions on critical alerts, the [design system team]({{path '../../docs/give-feedback.html'}}) would love to hear from you.
