---
title: Component statuses and testing
label: Statuses and testing
---

<p class="ontario-lead-statement">The status indicator on each component lets you know what stage it’s at in the development and testing process.</p>

<hr class="dark">

## Component statuses
<div class="fractal-table-scroll">

| Status | Status tag | Description |
|---|---|----|
| <div class="Status-dots"><span class="Status-ready-mark" style="width: 13px; height: 13px; margin-left: 15px;" title="Ready"></span><div>  | <span class="Status-label" style="margin-bottom: 0; background-color: #367A76; border-color: #367A76;">Ready</span>| Component has passed full technical and accessibility testing and has been usability tested. |
| <div class="Status-dots"><span class="Status-progress-mark" style="width: 13px; height: 13px; margin-left: 15px;" title="In Progress"></span></div>| <span class="Status-label" style="margin-bottom: 0; background-color: #92278F; border-color: #92278F;">In progress</span> | Component has passed basic technical and accessibility testing. |

</div>


<hr> 

## How we test

The design system team carries out extensive testing on each component to ensure it follows our [design principles]({{path './design-principles.html'}}) and meets established technical and accessibility standards.

### Technical testing

Components undergo cross-browser and cross-device testing to ensure they work for the widest possible range of users. We use analytics and research on browser/device market share to help us set priorities for what to test.

Check our [technical testing rubric](https://docs.google.com/spreadsheets/d/e/2PACX-1vT5ybC_nAyzRhw42JMPZ5p5mU-rQUPUlxcEbx3mcKtYUXTCbG_PLCA7hDGQV1QyrpK4if9E7oVecYja/pubhtml?gid=175704507&single=true) for details on the platforms we test for and support.

### Accessibility testing

Accessibility evaluation involves testing with automated tools as well as manual testing with assistive technologies on different platforms.

Check our [accessibility testing rubric](https://docs.google.com/spreadsheets/d/e/2PACX-1vT5ybC_nAyzRhw42JMPZ5p5mU-rQUPUlxcEbx3mcKtYUXTCbG_PLCA7hDGQV1QyrpK4if9E7oVecYja/pubhtml?gid=1839849541&single=true) for a current list of tools we use in testing.

### Usability testing

The design system team does usability testing of components and also observes testing at the Ontario Digital Service’s user research lab, where the design system is used to build and test prototypes for a variety of real applications.

Because every digital product is unique, **you should always do your own usability testing** to ensure your product works for the specific scenarios and use cases you need to support. 

The design system strives to provide good building blocks, but it’s up to you to ensure they fit together in your product in a way that makes sense to your users.
