---
title: Principes de conception
label: Principes de conception
---

<p class="ontario-lead-statement">Recourez à ces principes avec le système de conception et la <a href="https://www.ontario.ca/fr/page/norme-des-services-numeriques">Norme des services numériques (<abbr>NSN</abbr>)</a> pour faciliter la prise de décisions lors de votre conception de services destinés aux Ontariens et Ontariennes. </p>

<hr class="dark">

## Objet de ces principes

Tous les éléments du système de conception de l’Ontario respectent ces principes de conception.

Bien que l’[équipe du système de conception]({{path '../../docs/give-feedback.html'}}) mette à jour, améliore et enrichisse sans cesse le système, nous sommes conscients que votre projet pourrait comporter des besoins de conception pour lesquels rien n’est offert.

Si un élément dont vous avez besoin&nbsp;:
* se trouve **à l’intérieur** du système de conception, mais ne renferme pas le niveau de détails dont vous avez besoin, utilisez son « principe directeur » (fiché dans le coin supérieur de son entrée) pour orienter votre travail;
* **est absent** du système de conception, faites appel aux principes suivants pour orienter votre travail&nbsp;:

### 1. Songer d’abord à l’utilisateur

La conception d’un service commence par la définition du problème à résoudre. Parlez aux utilisateurs réels qui rencontrent le problème, reproduisez‑le avec eux et veillez à ce que votre conception vise avant tout à combler leurs besoins – ne laissez pas des problèmes consécutifs dicter une conception d’avant‑plan qui n’est pas intuitive pour les utilisateurs.

Consultez le <a href="https://www.ontario.ca/fr/page/norme-des-services-numeriques#section-1">principe no 1 de la <abbr title="Norme des services numériques">NSN</abbr></a> pour mieux comprendre les utilisateurs et leurs besoins.

### 2. Insérer seulement les éléments ayant un rôle à jouer

Chaque élément de l’expérience d’un utilisateur doit avoir un rôle fonctionnel. N’ajoutez rien qui n’aide pas expressément l’utilisateur à mener sa tâche à bien. Dans certains cas, cela vous demandera de sacrifier l’esthétique et l’élégance au profit de la finalité – et c’est très bien ainsi!

### 3. Faire preuve de cohérence

Utiliser des éléments du système de conception aux fins pour lesquelles ils sont prévus vous aidera à maintenir la cohérence de vos conceptions. Grâce à la cohérence, les utilisateurs se sentent&nbsp;:

* rassurés sur le fait qu’ils emploient un service légitime du gouvernement de l’Ontario;
* à l’aise, parce qu’ils sont capables de prévoir le mode de fonctionnement du service.

Bien que la cohérence soit un principe de conception très important, songez d’abord et avant tout à toujours faciliter l’expérience de l’utilisateur le plus possible. Alors, si vous devez ajouter un peu d’incohérence à votre conception pour rendre l’expérience de l’utilisateur plus fluide, n’hésitez pas!

### 4. Concevoir pour tous

Tous les Ontariens et Ontariennes ont droit à des services gouvernementaux faciles à utiliser. Faites en sorte que votre conception fonctionne pour tout le monde, notamment pour les personnes qui&nbsp;:

* se servent de dispositifs d’assistance, comme des lecteurs sonores d’écran, des dispositifs d’entrée alternative ou des agrandisseurs d’écran;
* préfèrent avoir accès à Internet depuis un appareil mobile ou ne disposent que de ce mode d’accès;
  * concevez votre service de manière à ce qu’il fonctionne d’abord pour les plus petits écrans, puis élargissez-le pour les écrans plus volumineux;
* ont des services Internet, des ordinateurs ou des appareils lents ou peu fiables;
* sont susceptibles d’avoir du mal à lire ou à comprendre l’anglais ou le français.

[Apprenez-en davantage sur la conception visant l’inclusivité](https://www.ontario.ca/fr/page/conception-inclusive) 

### 5. Commencer simplement

Les conceptions simples sont plus faciles à modifier que les complexes. Mettez d’abord au point et à l’essai la version la plus simple de votre service, pour disposer d’une marge de manœuvre suffisante pour le modifier ou l’adapter aux besoins des utilisateurs au fur et à mesure que vous ajoutez des éléments de fonctionnalité et de conception.

### 6. Poursuivre sans cesse les essais et les améliorations – même après le lancement

La technologie et les besoins des utilisateurs changent avec le temps. Faites en sorte que votre produit demeure intéressant et utile en établissant un calendrier et un processus qui permettent de le mettre à l’essai et de l’améliorer sans cesse, même après son lancement.
