---
title: Notes de version du système de conception
label: Notes de version
---
* [Release {{{ _config.project.version }}}](#dernier)
* [Release 0.7.0](#a0.7.0)
* [Release 0.6.1](#a0.6.1)
* [Release 0.5.2](#a0.5.2)
* [Release 0.4](#a4)
* [Release 0.3](#a3)
* [Release 0.2](#a2)
* [Release 0.1](#a1)

<hr class="dark">

## <a name="dernier"></a> Version {{{ _config.project.version }}} - {{{ _config.project.releaseDate }}}

### Plateforme
Ajoutés: [états des composantes]({{path './component-status.html'}})

### Bogues et problèmes connus
- Résolu : bascule du langage de plateforme sur IE
- Résolu : disposition et titres de l'index dist
- Résolu : balisage pour les encadrés et apartés

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception {{{ _config.project.version }}}]({{path '../../dist/ontario-design-system-dist-{{{ _config.project.version }}}.zip'}})

<hr>

## <a name="a0.7.0"></a> 0.7.0 Version - 9 novembre 2020

Il s’agit de la septième version alpha du système de conception de l’Ontario.

### Plateforme
- Ajouté à la trousse de distribution : un fichier index.html qui permet aux développeurs de vérifier rapidement les composantes et styles disponibles

### Éléments
- Ajouté : conseils sur les boutons désactivés

### Bogues et problèmes connus
- Résolu : un problème avec le habillage de texte aux étiquettes des cases d'option et cases à cocher et au texte d'indication
- Résolu : couleur d'arrière-plan manquante pour blanc-système dans le tableau des couleurs

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception 0.7.0]({{path '../../dist/ontario-design-system-dist-0.7.0.zip'}})

<hr>

## <a name="a0.6.1"></a> 0.6.1 Release - 22 octobre 2020

Il s’agit de la sixième version alpha du système de conception de l’Ontario.

### Plateforme
- Résolu : un problème avec l'aperçu de composante sur les appareils Android

### Éléments
- Alertes et mises en évidence ajoutées
- Longueur maximum ajoutée pour les composantes textuelles

### Bogues et problèmes connus
- Résolu : un problème avec la grille où les points de rupture ne s'appliquaient pas comme prévus à certaines largeurs de pixel exacte
- Résolu : reflet carré sur les cases d'option sélectionnées
- Résolu : le retour à la ligne des étiquettes plus longues

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception 0.6.1]({{path '../../dist/ontario-design-system-dist-0.6.1.zip'}})

<hr>

## <a name="a0.5.2"></a> Version 0.5.2 - 2 octobre 2020

Il s’agit de la cinquième version alpha du système de conception de l’Ontario.

### Plateforme

Dans cette version :
- Composantes forme regroupées dans la navigation
- Téléchargement plus rapide de pages web grâce à la compression Gzip
- Styles CSS minifiés

### Éléments
-  Styles de liste ajoutés
- Open Sans d'épaisseur 700 ajoutée ; style des caractères gras changé pour utiliser l'épaisseur 700
- Date de sortie ajoutée à la navigation
- Icône SVG qui manquait ajoutée
- Corrections pour les chemins d'importation SASS
- Fichier de thème minifié
- Corrections pour icône et styles pour les cases à cocher

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception {{{ _config.project.version }}}]({{path '../../dist/ontario-design-system-dist-{{{ _config.project.version }}}.zip'}})

<hr>

## <a name="a4"></a> Version 0.4 - 9 juin 2020

Il s’agit de la quatrième version alpha du système de conception de l’Ontario.

### Plateforme

Dans cette version :
- Le système de conception est disponible en anglais et français
- Les notes sont intégrées dans les pages des composantes
- Les pages de directives sur l’utilisation des éléments marchent sur les appareils mobiles
- Trousse de distribution : [Système de conception 0.4.0]({{path '../../dist/ontario-design-system-dist-0.4.0.zip'}})

### Éléments
- Il y a quelques ajouts mineurs à la palette de couleurs du système

### Bogues et problèmes connus
- Résolu : l’ordre des icônes dans la zone d’aperçu ne correspond pas à celui du tableau des « Notes »

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception 0.4.0]({{path '../../dist/ontario-design-system-dist-0.4.0.zip'}})

<hr>

## <a name="a3"></a> Version 0.3 - 27 avril 2020

Il s'agit de la troisième version alpha du système de conception de l'Ontario.

### Plateforme

- Nous avons publié notre thème de système de conception pour les développeurs
- Trousse de distribution : [Système de conception 0.3.0]({{path '../../dist/ontario-design-system-dist-0.3.0.zip'}})
- Nous avons amélioré l'affichage des variations dans la fenêtre d'aperçu des composantes


### Éléments
- Dans cette version, nous avons inséré&nbsp;:
  - des icônes
  - des liens
- Nous avons également inséré un sondage pour recueillir vos [commentaires sur le système de conception]({{path '../docs/give-feedback.html'}}).

### Bogues et problèmes connus
- Nous avons toujours des problèmes avec le système de conception sur les appareils mobiles que nous essayons de régler
- L'ordre des icônes dans la zone d'aperçu ne correspond pas à celui du tableau des «&nbsp;Notes »

### Trousse de distribution
- Télécharger&nbsp;: [Système de conception 0.3.0]({{path '../../dist/ontario-design-system-dist-0.3.0.zip'}})

<hr>

## <a name="a2"></a> Version 0.2 - 6 février 2020

Il s'agit de la deuxième version alpha du système de conception de l'Ontario.

### Plateforme
- Nous avons conçu une nouvelle page d’arrivée qui est bien plus amusante que ce que nous avions auparavant
- Nous avons également amélioré l’accessibilité du site grâce à un meilleur ordre des onglets, à l’ajout de texte de remplacement sur les boutons et à un meilleur rendement dans IE11

### Éléments
- Dans cette version, nous avons inséré :
  - une nouvelle conception de cases d'option
  - des cases à cocher
  - une grille
  - de l'espacement
- En nous fondant sur vos commentaires, nous avons également mis à jour le contenu et la présentation de certaines pages.

### Bogues et problèmes connus

- Nous avons toujours des problèmes avec le système de conception sur les appareils mobiles que nous essayons de régler

<hr>

## <a name="a1"></a> Version 0.1 - 3 décembre 2019

Il s'agit de la première version alpha du système de conception de l'Ontario.

### Plateforme

- Nous avons publié la première version de notre plateforme de système de conception en utilisant Fractal, une solution d’ouverture de source
- Fractal fonctionne bien sur les ordinateurs avec Chrome, Safari et Firefox


### Éléments
- Dans cette version, nous avons inséré :
  - des principes de conception
  - des couleurs
  - des polices et de la typographie
  - des boutons
  - des listes déroulantes
  - du texte d'indication
  - des étiquettes
  - des cases d'option
  - des saisies de texte
  - des zones de texte
- Les éléments ont fait l'objet d'essai avec IE11, Microsoft Edge, Firefox, Chrome, Safari sur PC, Mac, iPhone et Android
- Cette version comprend les formats HTML, CSS et SCSS

### Bogues et problèmes connus

- Nous faisons des essais avec ces composants pour les questions d’accessibilité. Il se peut que d’autres problèmes soient détectés lors de ces essais.
- Nous avons encore des problèmes avec le système de conception dans IE11
- Nous savons qu’il existe des problèmes d’accessibilité et de navigation, en particulier sur les appareils mobiles
- Nous utilisons actuellement des images aux endroits où elles facilitent l’illustration du guide, et beaucoup d’entre elles comprennent du texte. Dans les prochaines versions, nous voulons éviter de recourir à des images et utiliser des extraits de code pour améliorer l’accessibilité


