---
title: États des composantes et essais
label: États des composantes et essais
---

<p class="ontario-lead-statement">L’indicateur d’état de chaque composante vous permet de savoir à quelle étape elle se trouve dans le processus de mise au point et d’essais.</p>

<hr class="dark">

## États des composantes
<div class="fractal-table-scroll">

| État | État tag | Description |
|---|---|----|
| <div class="Status-dots"><span class="Status-ready-mark" style="width: 13px; height: 13px; margin-left: 15px;" title="Ready"></span><div>  | <span class="Status-label" style="margin-bottom: 0; background-color: #367A76; border-color: #367A76;">Disponible</span>| La composante a satisfait à l’ensemble des essais techniques et d’accessibilité, et son utilisabilité a été testée.|
| <div class="Status-dots"><span class="Status-progress-mark" style="width: 13px; height: 13px; margin-left: 15px;" title="In Progress"></span></div>| <span class="Status-label" style="margin-bottom: 0; background-color: #92278F; border-color: #92278F;">En cours</span> |La composante a satisfait aux essais techniques et d’accessibilité de base. |

</div>


<hr> 

## Notre procédure d’essais

L’équipe du système de conception réalise des essais poussés sur chaque composante pour s’assurer qu’elle est conforme à nos [principes de conception ]({{path './design-principles.html'}}) et aux normes techniques et d’accessibilité établies.

### Essais techniques

Les composantes sont soumises à des essais sur différents navigateurs et appareils pour s’assurer qu’elles fonctionnent pour le plus grand éventail possible d’utilisateurs. Nous effectuons des analyses et des recherches sur les parts de marché des navigateurs et des appareils afin de pouvoir fixer des priorités quant aux éléments à mettre à l’essai.

Consultez notre [rubrique sur les essais techniques](https://docs.google.com/spreadsheets/d/e/2PACX-1vT5ybC_nAyzRhw42JMPZ5p5mU-rQUPUlxcEbx3mcKtYUXTCbG_PLCA7hDGQV1QyrpK4if9E7oVecYja/pubhtml?gid=175704507&single=true) pour obtenir des précisions sur les plateformes que nous mettons à l’essai et que nous soutenons.

### Essais d’accessibilité

L’évaluation de l’accessibilité implique la mise à l’essai au moyen d’outils automatisés, ainsi qu’un test manuel effectué à l’aide de technologies d’assistance sur différentes plateformes.

Consultez notre [rubrique sur les essais d’accessibilité](https://docs.google.com/spreadsheets/d/e/2PACX-1vT5ybC_nAyzRhw42JMPZ5p5mU-rQUPUlxcEbx3mcKtYUXTCbG_PLCA7hDGQV1QyrpK4if9E7oVecYja/pubhtml?gid=1839849541&single=true) pour obtenir une liste à jour des outils que nous employons pour procéder aux essais.

### Essai d’utilisabilité

L’équipe du système de conception réalise des essais d’utilisabilité des composantes et étudie également les tests menés au laboratoire de recherche sur les utilisateurs des Services numériques de l’Ontario, où le système de conception est employé afin de mettre au point et à l’essai des prototypes destinés à un éventail d’applications concrètes.

Puisque chaque produit numérique est unique, **vous devez toujours mener votre propre essai d’utilisabilité** pour vous assurer que votre produit fonctionne dans les contextes particuliers et les cas d’utilisation que vous devez soutenir. 

Bien que le système de conception vise à fournir de bons éléments de base, il vous incombe de veiller à ce qu’ils s’intègrent à votre produit de façon logique pour vos utilisateurs.
